## rust-netr 0.2.0

=== Makefile ===
# vim:set noet:
NAME := netr
DOC := $(NAME)
VERSION := $(shell grep ^version Cargo.toml | sed -e 's/.* = "//g;s/"$$//g' )
MDDATE := $(shell find $(NAME).md -printf "%Td %TB %TY\n" )
RELEASE := ./target/release/$(NAME)

all: build test bintest doc

build:
	cargo build --release

doc:
	( cat $(DOC).md | sed -e 's/^footer: .*$$/footer: $(NAME) $(VERSION)/g' -e 's/^date:.*/date: $(MDDATE)/g' ) > $(DOC).md.tmp && mv $(DOC).md.tmp $(DOC).md
	cat $(DOC).md | sed -e 's,\([^ `-]\)--\([a-zA-Z]\),\1\\--\2,g' -e '/^|/s/\\n/\\\\n/g' -e '/^|/s/\\t/\\\\t/g' > $(DOC).man.md
	pandoc --standalone --ascii --to man $(DOC).man.md -o $(DOC).1
	rm $(DOC).man.md

test:
	cargo test

bintest:

install: all
	command -v please && please install -m 0755 -s $(RELEASE) /usr/local/bin || sudo install -m 0755 -s $(RELEASE) /usr/local/bin

## rust-netr 0.1.4

=== debian/changelog ===
rust-netr (0.1.4-1) unstable; urgency=medium

  * Initial upload, closes: #978556

 -- Ed Neville <ed-debian@s5h.net>  Mon, 28 Dec 2020 12:19:01 +0000

=== debian/control ===
Source: rust-netr
Section: net
Priority: optional
Build-Depends: debhelper (>= 11),
 dh-cargo (>= 18),
 cargo:native,
 rustc:native,
 libstd-rust-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ed Neville <ed-debian@s5h.net>
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/netr]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/netr
Homepage: https://www.usenix.org.uk/content/net.html

Package: netr
Architecture: any
Multi-Arch: allowed
Section: net
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: Simple network interface monitor showing traffic stats
 This package contains the following binaries built from the Rust crate
 "netr":
  - netr

## rust-netr 0.1.6

=== debian/changelog ===
rust-netr (0.1.6-1build1) oracular; urgency=medium

  * No-change rebuild with rustc 1.80.x.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Sep 2024 16:29:45 +0200

rust-netr (0.1.6-1) unstable; urgency=medium

  * Package netr 0.1.6 from crates.io using debcargo 2.6.0

 -- Ed Neville <ed-debian@s5h.net>  Sat, 17 Jun 2023 10:13:33 +0200

=== debian/control ===
Source: rust-netr
Section: net
Priority: optional
Build-Depends: debhelper (>= 12),
 dh-cargo (>= 25),
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-libc-0.2+default-dev
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ed Neville <ed-debian@s5h.net>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/netr]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/netr
Homepage: https://www.usenix.org.uk/content/net.html
X-Cargo-Crate: netr
Rules-Requires-Root: no

Package: netr
Architecture: any
Multi-Arch: allowed
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
XB-X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Description: network terminal graph
 Small terminal program to display a network throughput graph.

## rust-netr 0.2.0

=== debian/changelog ===
rust-netr (0.2.0-1) unstable; urgency=medium

  * Package netr 0.2.0 from crates.io using debcargo 2.7.8

 -- Ed Neville <ed-debian@s5h.net>  Sun, 31 Aug 2025 13:24:23 +0200

=== debian/control ===
Source: rust-netr
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-chrono-0.4+default-dev,
 librust-getopts-0.2+default-dev,
 librust-libc-0.2+default-dev,
 librust-regex-1+default-dev (>= 1.7-~~)
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Ed Neville <ed-debian@s5h.net>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/netr]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/netr
Homepage: https://www.usenix.org.uk/content/net.html
X-Cargo-Crate: netr
Rules-Requires-Root: no

Package: librust-netr-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-chrono-0.4+default-dev,
 librust-getopts-0.2+default-dev,
 librust-libc-0.2+default-dev,
 librust-regex-1+default-dev (>= 1.7-~~)
Provides:
 librust-netr+default-dev (= ${binary:Version}),
 librust-netr-0-dev (= ${binary:Version}),
 librust-netr-0+default-dev (= ${binary:Version}),
 librust-netr-0.2-dev (= ${binary:Version}),
 librust-netr-0.2+default-dev (= ${binary:Version}),
 librust-netr-0.2.0-dev (= ${binary:Version}),
 librust-netr-0.2.0+default-dev (= ${binary:Version})
Description: Display network interface throughput by second and by minute along with a graph - Rust source code
 This is quick and easy to use via a mobile handset or similar device where
 typing is cumbersome.
 .
 Source code for Debianized Rust crate "netr"

Package: netr
Architecture: any
Section: net
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ${cargo:Depends}
Recommends:
 ${cargo:Recommends}
Suggests:
 ${cargo:Suggests}
Provides:
 ${cargo:Provides}
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: network terminal graph
 Small terminal program to display a network throughput graph.

=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test netr 0.2.0 --all-targets --all-features
Features: test-name=rust-netr:@
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test netr 0.2.0 --all-targets
Features: test-name=librust-netr-dev:default
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test netr 0.2.0 --all-targets --no-default-features
Features: test-name=librust-netr-dev:
Depends: dh-cargo (>= 31), rustc, @
Restrictions: allow-stderr, skip-not-installable

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(.*)\/download/netr-$1\.tar\.gz/g,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\.?\d*)$/$1~$2/ \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=crates.io/netr .*/crates/netr/@ANY_VERSION@/download
